Commit 88262dba authored by Nikos Skalkotos's avatar Nikos Skalkotos
Browse files

Add pipefail option in helpers common.sh library

This is needed because common.sh contains functions that use pipes,
and the script should fail if any command fails.
parent c6b14273
......@@ -167,5 +167,5 @@ check_if_excluded() {
}
trap cleanup EXIT
set -o pipefail
# vim: set sta sts=4 shiftwidth=4 sw=4 et ai :
......@@ -20,7 +20,6 @@
. @commondir@/common.sh
set -e
set -o pipefail
if [ "x$1" != "x--force" ]; then
echo "WARNING: Exiting, this command would cause the system to halt." >&2
......
......@@ -25,7 +25,6 @@
### END TASK INFO
set -e
set -o pipefail
. "@commondir@/common.sh"
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment